EIGER2CRYSALIS(1)

NAME
eiger2crysalis - Portable image converter based on FabIO library to export Eiger frames (including te one from LImA) to a set of esperanto frames which can be imported into CrysalisPro.

DESCRIPTION
usage: eiger2crysalis [-h] [-V] [-v] [--debug] [-l] [-o OUTPUT] [-O OFFSET]

[-D DUMMY] [--dry-run] [--calc-mask] [-e ENERGY]
    [-w WAVELENGTH] [-d DISTANCE] [-b BEAM BEAM] [--alpha ALPHA] [--kappa KAPPA] [--phi PHI] [--omega OMEGA] [--theta THETA] [--rotation ROTATION] [--transpose] [--flip-ud] [--flip-lr] [IMAGE ...]

Portable image converter based on FabIO library to export Eiger frames (including te one from LImA) to a set of esperanto frames which can be imported into CrysalisPro.

  positional arguments:

IMAGE
    File with input images

  options:

-h, --help
    show this help message and exit

-V, --version
    output version and exit

-v, --verbose
    show information for each conversions

--debug
    show debug information

  main arguments:

-l, --list
    show the list of available formats and exit

-o OUTPUT, --output OUTPUT
    output directory and filename template

-O OFFSET, --offset OFFSET
    index offset, CrysalisPro likes indexes to start at 1, Python starts at 0

-D DUMMY, --dummy DUMMY
    Set masked values to this dummy value

  optional behaviour arguments:

--dry-run
    do everything except modifying the file system

--calc-mask
    Generate a mask from pixels marked as invalid. Off by default since it takes time

  Experimental setup options:

-e ENERGY, --energy ENERGY
    Energy of the incident beam in keV

-w WAVELENGTH, --wavelength WAVELENGTH
    Wavelength of the incident beam in ??

-d DISTANCE, --distance DISTANCE
    Detector distance in millimeters

-b BEAM BEAM, --beam BEAM BEAM
    Direct beam in pixels x, y

  Goniometer setup:

--alpha ALPHA
    Goniometer angle alpha value in deg. Constant, angle between kappa/omega.

--kappa KAPPA
    Goniometer angle kappa value in deg or formula f(index).

--phi PHI
    Goniometer angle phi value in deg. or formula f(index). Inner-most rotation.

--omega OMEGA
    Goniometer angle omega value in deg. or formula f(index). Outer-most rotation.

--theta THETA
    Goniometer angle theta value in deg. or formula f(index). Tilt angle of the detector.

  Image preprocessing (Important: applied in this order!):

--rotation ROTATION
    Rotate the initial image by this value in degrees. Must be a multiple of 90??. By default 180 deg (flip_up with origin=lower and flip_lr because the image is seen from the sample).

--transpose
    Flip the x/y axis

--flip-ud
    Flip the image upside-down

--flip-lr
    Flip the image left-right

return codes: 0 means a success. 1 means the conversion contains a failure, 2 means there was an error in the arguments